class Vector3DGroup;
class FaceGroup;

class Mesh {

public :

	Mesh( int iMaxNumVector, int iMaxNumFace );
	~Mesh();

	void normalize();

	void setLockMem( int iInLockMem );
	int  getLockMem();

	Vector3D getGeometricCenter();

	Vector3DGroup *getVector3DGroupPtr();
	FaceGroup     *getFaceGroupPtr();

private :
	Vector3DGroup *pVector3DGroup;
	FaceGroup     *pFaceGroup;

	int iLockMem;

	void freeMem();
};